@require '../../assets/stylesheets/global';

$dimensions = 'medium', 'large';
$dimensions-data = {
  medium: {
    font-size: $font-medium,
    small-font-size: $font-small
    height: 40px
  },
  large: {
    font-size: $font-large,
    height: 50px
  }
}

$themes = 'dark' 'light';
$themes-data = {
  dark: {
    color: $darkpurple
  },
  light: {
    color: $purple
  }
}

.container {
  display: flex;
  align-items: center;
  width: 100%;
  border-radius: 99999px; /* arbitrary large value */

  /* Dimension related rules */
  for $dim in $dimensions {
    &.{$dim} {
      $height = $dimensions-data[$dim]['height'];
      height: $height;

      form input {
        font-size: $dimensions-data[$dim]['font-size'];
      }
      if $dimensions-data[$dim]['small-font-size'] {
        &.text-size-small form input {
          font-size: $dimensions-data[$dim]['small-font-size']
        }
      }
      .searchIcon, .closeIcon {
        width: $height;
        height: $height;
        display: flex;
        align-items: center;
        justify-content: center;
      }
      .searchIcon img {
        $ratio = 0.60;
        width: $ratio * $height;
        height: $ratio * $height;
      }
      .closeIcon img {
        $ratio = 0.60;
        width: $ratio * $height;
        height: $ratio * $height;
      }
    }
  }

  /* Theme related rules */
  for $theme in $themes {
    &.{$theme} {
      background-color: $themes-data[$theme]['color'];
    }
  }

  form {
    flex-grow: 1;
    display: flex;
    align-items: center;

    input {
      width: 100%;
      height: 100%;
      color: white;
      background: none;
      border: none;
      font-family: Raleway;
      text-overflow: ellipsis;
      padding-left: $medium-spacing;
      &:focus {
        outline: none;
      }
      &::selection {
        background: white;
        color: white;
      }
      &::placeholder {
        color: white;
      }
    }
  }

  .searchIcon, .closeIcon {
    flex-shrink: 0;
    cursor: pointer;
    color: white;
  }

  .rightHandPlaceholder {
    width: $medium-spacing;
  }
}
